# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_Solid Class Reference

`#include <PTopoDS_Solid.hxx>`

Inheritance diagram for PTopoDS_Solid:

[legend]

## Public Member Functions

Standard_EXPORT | PTopoDS_Solid ()
| PTopoDS_Solid (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_Solid::PTopoDS_Solid | ( |  | ) |

PTopoDS_Solid::PTopoDS_Solid | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PTopoDS_Solid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_HShape.

The documentation for this class was generated from the following file:

- PTopoDS_Solid.hxx